#
# spec file for package novnc
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           novnc
Version:        0.5.1
Release:        4.1
Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
License:        MPL-2.0 and LGPL-3.0
Group:          System/Daemons

Url:            https://github.com/kanaka/noVNC
Source0:        noVNC-%{version}.tar.gz

Patch1:         novnc-0.3-manpage.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel

Requires:       python-websockify

%description
Websocket implementation of VNC client

%prep
%setup -q -n noVNC-%{version}
%patch1 -p1

%build

%install
mkdir -p %{buildroot}/%{_usr}/share/novnc/utils
install -m 444 *html %{buildroot}/%{_usr}/share/novnc
install -m 444 vnc.html %{buildroot}/%{_usr}/share/novnc/index.html

mkdir -p %{buildroot}/%{_usr}/share/novnc/include/
install -m 444 include/*.*  %{buildroot}/%{_usr}/share/novnc/include
mkdir -p %{buildroot}/%{_usr}/share/novnc/images
install -m 444 images/*.*  %{buildroot}/%{_usr}/share/novnc/images

mkdir -p %{buildroot}/%{_bindir}
install utils/launch.sh  %{buildroot}/%{_bindir}/novnc_server

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 444 docs/novnc_server.1 %{buildroot}%{_mandir}/man1/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.txt
%{_bindir}/novnc_server
%{_datadir}/novnc/
%{_mandir}/man1/novnc_server.1*

%changelog
* Mon Feb 16 2015 vuntz@suse.com
- Update to 0.5.1:
  + Improved keyboard support via use of keysyms.js
  + Fix HEXTILE "blank" tile support
  + lower minimum width to accommodate smaller screens
  + Fix issue causing true-color cursors to not be changed
  + Fix subprotocol support for the TIGHT encoding
- Changes from 0.5.0:
  + General Fixes/Improvements:
  - Use Object.defineProperty on Array prototype to prevent
    issues with enumeration
  - Internal Refactor for improved testability
  - Improved parsing of query string parameters
  - Support container page scrolling
  - Fixed IE10 keyboard support
  - Fixes for mobile keyboards (Android and iOS)
  - Improved foreign keyboard support
  - dynamic script loading without document.write
  + Protocol Support:
  - TightVNC support (we support choosing the NOTUNNEL type if
    tunnels are requested)
  - XVP Support
- Update license tag to "MPL-2.0; LGPL-3.0", following relicensing.
- Drop novnc-0.3-call-websockify.patch,
  novnc-0.3-nova-wsproxy.patch: not needed anymore.
* Tue Sep 24 2013 dmueller@suse.com
- update to 0.4:
  * Clarify permissive licenses of HTML, CSS, images.
  * Use render queue and requestAnimationFrame
  * UltraVNC repeater support
* Tue Mar 19 2013 berendt@b1-systems.de
- removed openstack-nova-novncproxy
* Wed Oct 10 2012 berendt@b1-systems.de
- make it buildable for SLES11 SP2
- import from Fedora 18
